Bug 211769 - can't mount squashfs 1.0 and 2.0 filesystems with 2.6.18
can't mount squashfs 1.0 and 2.0 filesystems with 2.6.18
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-22 09:40 EDT by Armijn Hemel
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-22 16:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Armijn Hemel 2006-10-22 09:40:46 EDT
Description of problem:

With the upgrade to 2.6.18-1.2200.fc5 I can't mount old squashfs filesystems

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade from 2.6.17-1.2187_FC5 to 2.6.18-1.2200.fc5
2. Try to mount a squashfs 1.0 filesystem
Actual results:
Can't mount squashfs 1.0 filesystem

Expected results:

mount squashfs

Additional info:

dmesg | tail
squashfs: version 3.1 (2006/08/09) Phillip Lougher
SQUASHFS error: Major/Minor mismatch, Squashfs 1.0 filesystems are unsupported
SQUASHFS error: Please recompile with Squashfs 1.0 support enabled

the previous kernel (2.6.17-1.2187_FC5) used squashfs 2.2
Comment 1 Dave Jones 2006-10-22 16:59:56 EDT
There's no guarantee for backwards compatibility right now with squashfs.
Outside of the installer it really shouldn't be used.
Comment 2 Armijn Hemel 2006-10-22 17:25:33 EDT
Unless you're doing embedded development, or reverse engineering work, where you
need to mount squashfs file systems over loopback. Sigh, I guess I will have to
keep that old 2.6.17 kernel around then.

Note You need to log in before you can comment on or make changes to this bug.